import os

def rename_files(directory):
    # 使用os.walk遍历指定目录及其所有子目录下的所有文件
    for root, dirs, files in os.walk(directory):
        # 遍历当前目录下的所有文件
        for filename in files:
            # 检查文件名的开头是否是数字或小数点
            if filename[0].isdigit() or filename[0] == '.':
                # 分离文件名和扩展名
                base_name, ext = os.path.splitext(filename)
                # 删除文件名开头的数字和小数点，并添加扩展名
                new_filename = base_name.lstrip('0123456789.') + ext
                # 获取旧文件路径和新文件路径
                old_file_path = os.path.join(root, filename)
                new_file_path = os.path.join(root, new_filename)
                # 重命名文件
                os.rename(old_file_path, new_file_path)

# 使用方法：将你需要修改文件名的目录替换下面的 'your_directory'
rename_files('your_directory')


#
# # 指定要修改文件名的文件夹路径
# folder_path = '/Users/admin/Downloads/00旗市区的副本'



