import os
import logging


def rename_files(directory):
    # 创建一个logger对象
    logger = logging.getLogger(__name__)
    logger.setLevel(logging.INFO)

    # 创建一个handler，用于写入日志文件
    handler = logging.FileHandler('file_rename.log')
    handler.setLevel(logging.INFO)

    # 创建一个formatter，用于设置日志格式
    formatter = logging.Formatter('%(asctime)s - %(levelname)s - %(message)s')
    handler.setFormatter(formatter)

    # 给logger添加handler
    logger.addHandler(handler)

    for root, dirs, files in os.walk(directory):
        for filename in files:
            if filename[0].isdigit() or filename[0] == '.':
                base_name, ext = os.path.splitext(filename)
                new_filename = base_name.lstrip('0123456789.') + ext
                old_file_path = os.path.join(root, filename)
                new_file_path = os.path.join(root, new_filename)

                # 打印旧文件路径和新文件路径
                print(f"Renaming file: {old_file_path} -> {new_file_path}")

                # 记录重命名操作的日志信息
                logger.info(f"Renamed file: {old_file_path} -> {new_file_path}")

                os.rename(old_file_path, new_file_path)


# 使用方法：将你需要修改文件名的目录替换下面的 'your_directory'
rename_files('/Users/admin/Downloads/00旗市区的副本')


